function [ D, W, U ] = optimize( Xs, As, Hs, D, W, U, pars)
%%
% Xs: train features
% As: train semantics
% Hs: train labels

%%
 h = waitbar(0);
for i=1:pars.iter
    %% X
    waitbar(i/pars.iter,h)
   	X=[Xs ;  pars.alpha*W*As ; pars.beta*Hs];
  	D1=[D ;  pars.alpha*eye(size(D,2)); pars.beta*U];
   	Ys=learn_coefficients_noise(D1,X,pars.gamma);    
    %% D
    D=learn_basis(Xs,Ys,pars.gamma);   
    %% W  
    W=learn_basis(Ys,As,pars.gamma);
    %% U
    U=learn_basis(Hs,Ys,pars.gamma);   
    
end


end

